Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface WebModule

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, Container, J2EEDeployedObject, J2EEManagedObject, J2EEModule, NotificationBroadcaster, NotificationEmitter, StateManageable

public interface WebModule
extends J2EEModule, Container

A J2EE WebModule. Extends the J2EE management model with additional product-specific Attributes and operations.
The monitoring peer as returned from getMonitoringPeer() is `WebModuleVirtualServerMonitor`

Field Summary
`static java.lang.String` | `J2EE_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.j2ee.StateManageable
`STATE_FAILED, STATE_RUNNING, STATE_STARTING, STATE_STOPPED, STATE_STOPPING`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`boolean` | `getAllowLinking()` Allow symlinking to outside the webapp root directory, if the webapp is an exploded directory
`int` | `getCacheMaxSize()` Maximum cache size in KB
`int` | `getCacheTTL()` Time interval in ms between cache refeshes
`boolean` | `getCachingAllowed()` Should we cache static resources for this webapp
`boolean` | `getCaseSensitive()` Should case sensitivity checks be performed
`java.lang.String` | `getCompilerClasspath()` The compiler classpath to use
`boolean` | `getCookies()` Should we attempt to use cookies for session id communication?
`boolean` | `getCrossContext()` Should we allow the ServletContext.getContext() method to access the context of other web applications in this server?
`int` | `getDebug()` The debugging detail level for this component
`java.lang.String` | `getDefaultWebXML()` Location of the default web.xml resource or file
`java.lang.String` | `getDocBase()` The document root for this web application
`java.lang.String[]` | `getEndpointAddresses()` An array of URL addresses defined in this Web Module to invoke web services endpoints implementations
`java.lang.String` | `getEngineName()` Name of the engine domain, if different from the context domain
`boolean` | `getHasWebServices()` True if the web module implements web services endpoints
`int` | `getManagerChecksFrequency()` The frequency of the manager checks (expiration and passivation)
`java.lang.String` | `getModelerType()` Type of the modeled resource.
`boolean` | `getOverride()` The DefaultContext override flag for this web application
`java.lang.String` | `getPath()` The context path for this Context
`boolean` | `getReloadable()` The reloadable flag for this web application
`java.lang.String[]` | `getResourceNames()` Names of all the defined resource references for this application.
`java.util.Map` | `getServletMap()`
`java.lang.String[]` | `getservlets()` Note that the Attribute name is case-sensitive "servlets" as defined by JSR 77.
`long` | `getStartupTime()` Startup time for this context
`int` | `getState()` Current state of this component
`boolean` | `getSwallowOutput()` Flag to set to cause the system.out and system.err to be redirected to the logger when executing a servlet
`long` | `getTLDScanTime()` Time spend scanning jars for TLDs for this context
`boolean` | `getUseNaming()` Create a JNDI naming context for this application?
`java.lang.String[]` | `getWelcomeFiles()` The welcome files for this context
`java.lang.String` | `getWorkDir()` The pathname to the work directory for this context
`void` | `reload()`
`void` | `setAllowLinking(boolean value)` Allow symlinking to outside the webapp root directory, if the webapp is an exploded directory
`void` | `setCacheMaxSize(int value)` Maximum cache size in KB
`void` | `setCacheTTL(int value)` Time interval in ms between cache refeshes
`void` | `setCachingAllowed(boolean value)` Should we cache static resources for this webapp
`void` | `setCaseSensitive(boolean value)` Should case sensitivity checks be performed
`void` | `setCompilerClasspath(java.lang.String value)` The compiler classpath to use
`void` | `setCookies(boolean value)` Should we attempt to use cookies for session id communication?
`void` | `setCrossContext(boolean value)` Should we allow the ServletContext.getContext() method to access the context of other web applications in this server?
`void` | `setDebug(int value)` The debugging detail level for this component
`void` | `setEngineName(java.lang.String value)` Name of the engine domain, if different from the context domain
`void` | `setManagerChecksFrequency(int value)` The frequency of the manager checks (expiration and passivation)
`void` | `setOverride(boolean value)` The DefaultContext override flag for this web application
`void` | `setPath(java.lang.String value)` The context path for this Context
`void` | `setReloadable(boolean value)` The reloadable flag for this web application
`void` | `setSwallowOutput(boolean value)` Flag to set to cause the system.out and system.err to be redirected to the logger when executing a servlet
`void` | `setTLDScanTime(long value)` Time spend scanning jars for TLDs for this context
`void` | `setUseNaming(boolean value)` Create a JNDI naming context for this application?

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEModule
`getjavaVMs, getJVM`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEDeployedObject
`getdeploymentDescriptor, getserver, getServer`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.j2ee.StateManageable
`getstartTime, getstate, start, startRecursive, stop`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

See Also:
  Constant Field Values

Method Detail

### getservlets

    public java.lang.String[] getservlets()

  Note that the Attribute name is case-sensitive "servlets" as defined by JSR 77.

### getServletMap

    public java.util.Map getServletMap()

### getAllowLinking

    public boolean getAllowLinking()

  Allow symlinking to outside the webapp root directory, if the webapp is an exploded directory

### setAllowLinking

    public void setAllowLinking(boolean value)

  Allow symlinking to outside the webapp root directory, if the webapp is an exploded directory

### getCacheMaxSize

    public int getCacheMaxSize()

  Maximum cache size in KB

### setCacheMaxSize

    public void setCacheMaxSize(int value)

  Maximum cache size in KB

### getCacheTTL

    public int getCacheTTL()

  Time interval in ms between cache refeshes

### setCacheTTL

    public void setCacheTTL(int value)

  Time interval in ms between cache refeshes

### getCachingAllowed

    public boolean getCachingAllowed()

  Should we cache static resources for this webapp

### setCachingAllowed

    public void setCachingAllowed(boolean value)

  Should we cache static resources for this webapp

### getCaseSensitive

    public boolean getCaseSensitive()

  Should case sensitivity checks be performed

### setCaseSensitive

    public void setCaseSensitive(boolean value)

  Should case sensitivity checks be performed

### getCompilerClasspath

    public java.lang.String getCompilerClasspath()

  The compiler classpath to use

### setCompilerClasspath

    public void setCompilerClasspath(java.lang.String value)

  The compiler classpath to use

### getCookies

    public boolean getCookies()

  Should we attempt to use cookies for session id communication?

### setCookies

    public void setCookies(boolean value)

  Should we attempt to use cookies for session id communication?

### getCrossContext

    public boolean getCrossContext()

  Should we allow the ServletContext.getContext() method to access the context of other web applications in this server?

### setCrossContext

    public void setCrossContext(boolean value)

  Should we allow the ServletContext.getContext() method to access the context of other web applications in this server?

### getDebug

    public int getDebug()

  The debugging detail level for this component

### setDebug

    public void setDebug(int value)

  The debugging detail level for this component

### getDefaultWebXML

    public java.lang.String getDefaultWebXML()

  Location of the default web.xml resource or file

### getDocBase

    public java.lang.String getDocBase()

  The document root for this web application

### getEndpointAddresses

    public java.lang.String[] getEndpointAddresses()

  An array of URL addresses defined in this Web Module to invoke web services endpoints implementations

### getEngineName

    public java.lang.String getEngineName()

  Name of the engine domain, if different from the context domain

### setEngineName

    public void setEngineName(java.lang.String value)

  Name of the engine domain, if different from the context domain

### getHasWebServices

    public boolean getHasWebServices()

  True if the web module implements web services endpoints

### getManagerChecksFrequency

    public int getManagerChecksFrequency()

  The frequency of the manager checks (expiration and passivation)

### setManagerChecksFrequency

    public void setManagerChecksFrequency(int value)

  The frequency of the manager checks (expiration and passivation)

### getModelerType

    public java.lang.String getModelerType()

  Type of the modeled resource. Can be set only once

### getOverride

    public boolean getOverride()

  The DefaultContext override flag for this web application

### setOverride

    public void setOverride(boolean value)

  The DefaultContext override flag for this web application

### getPath

    public java.lang.String getPath()

  The context path for this Context

### setPath

    public void setPath(java.lang.String value)

  The context path for this Context

### getReloadable

    public boolean getReloadable()

  The reloadable flag for this web application

### setReloadable

    public void setReloadable(boolean value)

  The reloadable flag for this web application

### getResourceNames

    public java.lang.String[] getResourceNames()

  Names of all the defined resource references for this application.

### getStartupTime

    public long getStartupTime()

  Startup time for this context

### getState

    public int getState()

  Current state of this component

### getSwallowOutput

    public boolean getSwallowOutput()

  Flag to set to cause the system.out and system.err to be redirected to the logger when executing a servlet

### setSwallowOutput

    public void setSwallowOutput(boolean value)

  Flag to set to cause the system.out and system.err to be redirected to the logger when executing a servlet

### getTLDScanTime

    public long getTLDScanTime()

  Time spend scanning jars for TLDs for this context

### setTLDScanTime

    public void setTLDScanTime(long value)

  Time spend scanning jars for TLDs for this context

### getUseNaming

    public boolean getUseNaming()

  Create a JNDI naming context for this application?

### setUseNaming

    public void setUseNaming(boolean value)

  Create a JNDI naming context for this application?

### getWelcomeFiles

    public java.lang.String[] getWelcomeFiles()

  The welcome files for this context

### getWorkDir

    public java.lang.String getWorkDir()

  The pathname to the work directory for this context

### reload

    public void reload()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.